﻿<?xml version='1.0' encoding='UTF-8'?>
<Project Type="Project" LVVersion="8608001">
	<Property Name="CCSymbols" Type="Str"></Property>
	<Property Name="NI.Project.Description" Type="Str">This project illustrates basid usage of ESP rendering from a G web service.  It was implemented in LabVIEW 8.6 and depends on features present in that release of LabVIEW.</Property>
	<Item Name="My Computer" Type="My Computer">
		<Property Name="server.app.propertiesEnabled" Type="Bool">true</Property>
		<Property Name="server.control.propertiesEnabled" Type="Bool">true</Property>
		<Property Name="server.tcp.enabled" Type="Bool">false</Property>
		<Property Name="server.tcp.port" Type="Int">0</Property>
		<Property Name="server.tcp.serviceName" Type="Str">My Computer/VI Server</Property>
		<Property Name="server.tcp.serviceName.default" Type="Str">My Computer/VI Server</Property>
		<Property Name="server.vi.callsEnabled" Type="Bool">true</Property>
		<Property Name="server.vi.propertiesEnabled" Type="Bool">true</Property>
		<Property Name="specify.custom.address" Type="Bool">false</Property>
		<Item Name="espgen.vi" Type="VI" URL="../espgen.vi"/>
		<Item Name="output_xml.esp" Type="Document" URL="../output_xml.esp"/>
		<Item Name="output_html.esp" Type="Document" URL="../output_html.esp"/>
		<Item Name="Dependencies" Type="Dependencies">
			<Item Name="vi.lib" Type="Folder">
				<Item Name="NI_WebServices.lvlib" Type="Library" URL="/&lt;vilib&gt;/wsapi/NI_WebServices.lvlib"/>
				<Item Name="Error Cluster From Error Code.vi" Type="VI" URL="/&lt;vilib&gt;/Utility/error.llb/Error Cluster From Error Code.vi"/>
				<Item Name="Trim Whitespace.vi" Type="VI" URL="/&lt;vilib&gt;/Utility/error.llb/Trim Whitespace.vi"/>
				<Item Name="whitespace.ctl" Type="VI" URL="/&lt;vilib&gt;/Utility/error.llb/whitespace.ctl"/>
			</Item>
			<Item Name="ws_runtime.dll" Type="Document" URL="ws_runtime.dll">
				<Property Name="NI.PreserveRelativePath" Type="Bool">true</Property>
			</Item>
		</Item>
		<Item Name="Build Specifications" Type="Build">
			<Item Name="ESP Demo Service" Type="RESTful WS">
				<Property Name="Bld_buildSpecDescription" Type="Str">This small demo web service uses the Render ESP Template.vi to output an xml document to the client which contains a specified number of random float values and their sum.</Property>
				<Property Name="Bld_buildSpecName" Type="Str">ESP Demo Service</Property>
				<Property Name="Bld_excludeLibraryItems" Type="Bool">true</Property>
				<Property Name="Bld_excludePolymorphicVIs" Type="Bool">true</Property>
				<Property Name="Bld_modifyLibraryFile" Type="Bool">true</Property>
				<Property Name="Destination[0].destName" Type="Str">espdemo.lvws</Property>
				<Property Name="Destination[0].path" Type="Path">../builds/NI_AB_PROJECTNAME/ESP Demo Service/internal.llb</Property>
				<Property Name="Destination[0].type" Type="Str">App</Property>
				<Property Name="Destination[1].destName" Type="Str">Support Directory</Property>
				<Property Name="Destination[1].path" Type="Path">../builds/NI_AB_PROJECTNAME/ESP Demo Service/data</Property>
				<Property Name="DestinationCount" Type="Int">2</Property>
				<Property Name="RESTfulWebSrvc_routingTemplate[0].defaults" Type="Str">:outputStyle="xml"

</Property>
				<Property Name="RESTfulWebSrvc_routingTemplate[0].template" Type="Str">/xml/:varnum</Property>
				<Property Name="RESTfulWebSrvc_routingTemplate[0].VIName" Type="Str">espgen.vi</Property>
				<Property Name="RESTfulWebSrvc_routingTemplate[1].defaults" Type="Str">:outputStyle="html"

</Property>
				<Property Name="RESTfulWebSrvc_routingTemplate[1].template" Type="Str">/html/:varnum</Property>
				<Property Name="RESTfulWebSrvc_routingTemplate[1].VIName" Type="Str">espgen.vi</Property>
				<Property Name="RESTfulWebSrvc_routingTemplateCount" Type="Int">2</Property>
				<Property Name="Source[0].itemID" Type="Str">{F9B129E7-F2BA-4DC5-829D-93BDFADE3A50}</Property>
				<Property Name="Source[0].type" Type="Str">Container</Property>
				<Property Name="Source[1].destinationIndex" Type="Int">0</Property>
				<Property Name="Source[1].itemID" Type="Ref">/My Computer/espgen.vi</Property>
				<Property Name="Source[1].RESTfulVI.VIConfigInfoOutputType" Type="Str">Stream</Property>
				<Property Name="Source[1].sourceInclusion" Type="Str">TopLevel</Property>
				<Property Name="Source[1].type" Type="Str">RESTfulVI</Property>
				<Property Name="Source[2].destinationIndex" Type="Int">0</Property>
				<Property Name="Source[2].itemID" Type="Ref"></Property>
				<Property Name="Source[2].sourceInclusion" Type="Str">Include</Property>
				<Property Name="Source[3].destinationIndex" Type="Int">0</Property>
				<Property Name="Source[3].itemID" Type="Ref">/My Computer/output_xml.esp</Property>
				<Property Name="Source[3].sourceInclusion" Type="Str">Include</Property>
				<Property Name="Source[4].destinationIndex" Type="Int">0</Property>
				<Property Name="Source[4].itemID" Type="Ref">/My Computer/output_html.esp</Property>
				<Property Name="Source[4].sourceInclusion" Type="Str">Include</Property>
				<Property Name="SourceCount" Type="Int">5</Property>
				<Property Name="WebSrvc_serviceGUID" Type="Str">{FF9AC9FE-AE78-4B03-804B-A6E5C9296C25}</Property>
				<Property Name="WebSrvc_serviceName" Type="Str">espdemo</Property>
			</Item>
		</Item>
	</Item>
</Project>
